Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.definition
Class AbstractScoreDefinition<S extends Score>

    java.lang.Object
      org.optaplanner.core.impl.score.definition.AbstractScoreDefinition<S>

All Implemented Interfaces:
  Serializable, ScoreDefinition<S>

Direct Known Subclasses:
  AbstractFeasibilityScoreDefinition, SimpleBigDecimalScoreDefinition, SimpleDoubleScoreDefinition, SimpleLongScoreDefinition, SimpleScoreDefinition

    public abstract class AbstractScoreDefinition<S extends Score>

extends Object
implements ScoreDefinition<S>, Serializable

Abstract superclass for `ScoreDefinition`.

See Also:
  `ScoreDefinition`, `HardSoftScoreDefinition`, Serialized Form

Constructor Summary
`AbstractScoreDefinition()`

Method Summary
`String` | `formatScore(S score)` Returns a `String` representation of the `Score`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.score.definition.ScoreDefinition
`buildOptimisticBound, buildPessimisticBound, buildScoreHolder, getLevelsSize, getScoreClass, parseScore`

Constructor Detail

### AbstractScoreDefinition

    public AbstractScoreDefinition()

Method Detail

### formatScore

    public String formatScore(S score)

  Description copied from interface: `ScoreDefinition`
  Returns a `String` representation of the `Score`.

  Specified by:
    `formatScore` in interface `ScoreDefinition<S extends Score>`
  Parameters:
    `score` - never null
  Returns:
    never null
  See Also:
    `ScoreDefinition.parseScore(String)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.